Name:           magicassandra
Version:        1.0
Release:        5
Summary:        Cassandra Monitoring Plugin for Collectd

Group:          Applications/System
License:        GPLv3+
URL:            http://www.magic.fr
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-root

Requires:	magicollectd
Requires:	dsc21
Requires:	cassandra21-tools

%description
Cassandra Monitoring Plugin for Collectd

%prep
%setup 

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/share/cassandra/lib
mkdir -p %{buildroot}/usr/local/monitoring/collectd/lib/collectd/perl
mkdir -p %{buildroot}/usr/local/monitoring/collectd/etc/magic/thresholds
mkdir -p %{buildroot}/usr/local/monitoring/collectd/etc/user.d/
install -m 644 cass.pm %{buildroot}/usr/local/monitoring/collectd/lib/collectd/perl/cass.pm
install -m 755 mx4j-tools.jar %{buildroot}/usr/share/cassandra/lib/mx4j-tools.jar
install -m 644 cassandra.conf %{buildroot}/usr/local/monitoring/collectd/etc/user.d/cassandra.conf
install -m 644 cass-threshold.conf %{buildroot}/usr/local/monitoring/collectd/etc/magic/thresholds/cass-threshold.conf

%clean
rm -rf %{buildroot}

%post
dbpath="/usr/local/monitoring/collectd/share/collectd/types.db"
if [ -z "$(cat ${dbpath} | grep cass_memory)" ]; then
    echo -e "cass_memory \tvalue:GAUGE:0:281474976710656" >> ${dbpath}
fi
if [ -z "$(cat ${dbpath} | grep cass_garbage)" ]; then
    echo -e "cass_garbage \tvalue:GAUGE:0:U" >> ${dbpath}
fi
if [ -z "$(cat ${dbpath} | grep cass_loaded_classes)" ]; then
    echo -e "cass_loaded_classes \tvalue:GAUGE:0:U" >> ${dbpath}
fi
if [ -z "$(cat ${dbpath} | grep cass_load)" ]; then
    echo -e "cass_load \tvalue:GAUGE:0:U" >> ${dbpath}
fi
if [ -z "$(cat ${dbpath} | grep cass_status)" ]; then
    echo -e "cass_status \tvalue:GAUGE:0:U" >> ${dbpath}
fi
if [ -z "$(cat ${dbpath} | grep cass_exceptions)" ]; then
    echo -e "cass_exceptions \tvalue:GAUGE:0:U" >> ${dbpath}
fi
if [ -z "$(cat ${dbpath} | grep cass_uptime)" ]; then
    echo -e "cass_uptime \tvalue:GAUGE:0:U" >> ${dbpath}
fi
chown cassandra:cassandra /usr/share/cassandra/lib/mx4j-tools.jar 2>/dev/null
/etc/init.d/magicollectd restart 2>/dev/null
echo -e "\nInstallation of magicassandra has finished."
%postun

%files
%defattr(-,root,root,-)
%attr(644,root,root) /usr/local/monitoring/collectd/lib/collectd/perl/cass.pm
%doc README.md
/usr/share/cassandra/lib/mx4j-tools.jar
/usr/local/monitoring/collectd/lib/collectd/perl/cass.pm
/usr/local/monitoring/collectd/etc/magic/thresholds/cass-threshold.conf
/usr/local/monitoring/collectd/etc/user.d/cassandra.conf
%changelog
*Mon Apr 13 2015 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-5
- Fired magicip -disclosed RPM
*Tue Mar 31 2015 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-4
- Merge conflict fix
- Near production Thresholds
*Tue Mar 31 2015 Hanine HAMZIOUI <hhamzioui@magic.fr> - 1.0-1
- First Snapshot
- FIxed permissions
